[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#395146: kdeprint: cannot create CUPS printer (client-error-bad-request)

Package: kdeprint
Version: 4:3.5.5a-2
Severity: important

I am unable to create a local CUPS printer using the KDE printer
manager. I have experienced the same problem with on two different
machines with different printers, so the problem seems to be fairly
generic. A higher severity may be appropriate as the user cannot make
use of the print facility at all unless he/she can create a printer.

Initial conditions: 

CUPS installed, but no printer configured.

Steps to reproduce:

1/ Launch KDE Control Center
2/ Switch to Administrator Mode
3/ Choose Add Printer/Class
 - Select "Local printer"
 - Select USB printer (in my case USB #1 -> Samsung ML-2010)
 - Select driver (in my case the foomatic/gdi driver for Samsung ML-200)
4/ Press "Test".

I get an error message : "Unable to create temporary printer"

5/ Click through the remaining screens, and press "Finish"

I get an error message : "Unable to create printer. Error message
received from manager: client-error-bad-request"

Additional tests:

I can create the printer just fine using foomatic-gui, and it works OK. The printer now appears correctly in the KDE printer manager, and it is even possible to remove the printer via KDE's interface. 

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages kdeprint depends on:
ii  enscript               1.6.4-10          Converts ASCII text to Postscript,
ii  kdelibs4c2a            4:3.5.5a.dfsg.1-2 core libraries and binaries for al
ii  libc6                  2.3.6.ds1-7       GNU C Library: Shared libraries
ii  libgcc1                1:4.1.1-17        GCC support library
ii  libqt3-mt              3:3.3.7-1         Qt GUI Library (Threaded runtime v
ii  libstdc++6             4.1.1-17          The GNU Standard C++ Library v3
ii  poster                 1:19990428-8      Create large posters out of PostSc
ii  psutils                1.17-23           A collection of PostScript documen

Versions of packages kdeprint recommends:
ii  gs-esp [postscript-viewe 8.15.3.dfsg.1-1 The Ghostscript PostScript interpr
ii  gs-gpl [postscript-viewe 8.54.dfsg.1-5   The GPL Ghostscript PostScript int
ii  gv [postscript-viewer]   1:3.6.2-1       PostScript and PDF viewer for X
ii  kghostview [postscript-v 4:3.5.5-1       PostScript viewer for KDE

-- no debconf information

Reply to: